# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LoadWriterTIFF Class Reference

The LoadWriterTIFF class is a ResourceLoadWriter capable of reading TIFF files. More...

`#include <vlTIFF.hpp>`

Inheritance diagram for vl::LoadWriterTIFF:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| LoadWriterTIFF ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &path, ResourceDatabase *resource) const
bool | writeResource (VirtualFile *file, ResourceDatabase *resource) const

## Detailed Description

The LoadWriterTIFF class is a ResourceLoadWriter capable of reading TIFF files.

## Constructor & Destructor Documentation

vl::LoadWriterTIFF::LoadWriterTIFF | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::LoadWriterTIFF::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::ResourceLoadWriter.

ref<ResourceDatabase> vl::LoadWriterTIFF::loadResource | ( | const String & | path | ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

ref<ResourceDatabase> vl::LoadWriterTIFF::loadResource | ( | VirtualFile * | file | ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

bool vl::LoadWriterTIFF::writeResource | ( | const String & | path,
|  | ResourceDatabase * | resource |
| ) |  |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

bool vl::LoadWriterTIFF::writeResource | ( | VirtualFile * | file,
|  | ResourceDatabase * | resource |
| ) |  |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlTIFF.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:47 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.